namespace ZenithInfo.Models
{
    public class Module
    {
        public required string Name { get; set; }
        public required string Description { get; set; }
        public Enums.ModuleTypes Type { get; set; }
        public bool IsTargeted { get; set; }
        public required List<string> Effects { get; set; }
        public double Cooldown { get; set; }
        public double Duration { get; set; }
        public Enums.ModuleSizes Size { get; set; }
        public double Range { get; set; }
        public int MaxTargets { get; set; }
        public double EnergyUsage { get; set; }
        public int Icon { get; set; }
        public required Dictionary<string, object> Stats { get; set; }
        public double BaseCost { get; set; }
    }
}
