namespace ZenithInfo.Models
{
    public class ZIConfiguration
    {
        public required string GlobalToken { get; init; }
        public string? DatabaseConnectionString { get; init; } = null;
        public DatabaseTypes DatabaseType { get; init; } = DatabaseTypes.Memory;
        public bool UseSentry { get; init; } = true;
        public bool UseSwagger { get; init; } = true;
        public bool LogRequests { get; init; } = true;
    }

    public enum DatabaseTypes
    {
        Memory,
        PostgresSQL,
    }
}
